Package org.apache.wiki.auth.login

## Class WikiEngineCallback

- java.lang.Object
- - org.apache.wiki.auth.login.WikiEngineCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class WikiEngineCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback for requesting and supplying the WikiEngine object required by a LoginModule. This Callback is used by LoginModules needing access to the external authorizer or group manager.

Since:
  2.5

### Constructor Summary

Constructors
`WikiEngineCallback()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Engine` `getEngine()` Returns the engine.
`void` `setEngine​(Engine engine)` Sets the engine object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WikiEngineCallback

    public WikiEngineCallback()

### Method Detail

#### setEngine

    public void setEngine​(Engine engine)

Sets the engine object. CallbackHandler objects call this method.

Parameters:
  `engine` - the engine

#### getEngine

    public Engine getEngine()

Returns the engine. LoginModules call this method after a CallbackHandler sets the engine.

Returns:
  the engine